libdvbv5 1.32.0 Library to work with Digital TV devices on Linux

dvb_table_nit_transport_header Union Reference
Digital TV table parsing

MPEG-TS NIT transport header. More...

`#include <nit.h>`

## Data Fields
uint16_t | bitfield
struct { |
uint16_t transport_length:12 |
uint16_t reserved:4 |
}; |

## Detailed Description

MPEG-TS NIT transport header.

Parameters

  transport_length | transport length

This structure is used to store the original NIT transport header, converting the integer fields to the CPU endianness.

The undocumented parameters are used only internally by the API and/or are fields that are reserved. They shouldn't be used, as they may change on future API releases.

Definition at line 79 of file nit.h.

## Field Documentation

## ◆ [struct]

struct { ... } dvb_table_nit_transport_header

## ◆ bitfield

uint16_t dvb_table_nit_transport_header::bitfield

Definition at line 80 of file nit.h.

## ◆ reserved

uint16_t dvb_table_nit_transport_header::reserved

Definition at line 83 of file nit.h.

## ◆ transport_length

uint16_t dvb_table_nit_transport_header::transport_length

Definition at line 82 of file nit.h.

The documentation for this union was generated from the following file:

- lib/include/libdvbv5/nit.h